GNU bug report logs - #36812
Guix fails to build with libgc 8.0.4

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Severity: important; Reported by: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>; merged with #36811; dated Thu, 25 Jul 2019 18:27:02 UTC; Maintainer for guile is bug-guile@HIDDEN.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36811 36812. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2019 18:26:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 14:26:39 2019
Received: from localhost ([127.0.0.1]:40423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqiRr-00080d-AG
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 14:26:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:50039)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1hqiRo-00080O-5L
 for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 14:26:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58691)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1hqiRm-0003Sb-LH
 for bug-guile@HIDDEN; Thu, 25 Jul 2019 14:26:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ****
X-Spam-Status: No, score=4.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,RCVD_IN_SBL_CSS,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1hqiRk-0000xv-Oc
 for bug-guile@HIDDEN; Thu, 25 Jul 2019 14:26:34 -0400
Received: from mout.web.de ([212.227.15.3]:60093)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jonathan.brielmaier@HIDDEN>)
 id 1hqiRg-0000ph-H8; Thu, 25 Jul 2019 14:26:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1564079176;
 bh=VxZXEmkAMv/CcLnVhHEF6SiHYH8MeXwTe75op9k20gw=;
 h=X-UI-Sender-Class:To:From:Subject:Date;
 b=O3/vFigs8QHMSpdP+siiFlUyg//wR1WM8cFOr2zNr2GNDQIIq6+K5NEONZpxHxcSQ
 CZJKEtSKfDlcH1dUx7L+Destyj/HBcu2rlmvNhtN/cxZM/UKhfsS/SKOPEib1ghNaK
 knAIr2zfGKQfUUHzKR+fwjZb3brO9a2Vn9E0HSN4=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from f147.suse.de ([195.135.221.2]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LrsC6-1iXvfy1FqY-013hNI; Thu, 25
 Jul 2019 20:26:16 +0200
To: bug-guile@HIDDEN, bug-guix <bug-guix@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Subject: Guix fails to build with libgc 8.0.4
Message-ID: <154d15a4-2851-6cc3-16b1-b020e27e02e9@HIDDEN>
Date: Thu, 25 Jul 2019 20:26:15 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------DD8829ADF8676604C29B9F97"
Content-Language: en-US
X-Provags-ID: V03:K1:mMm0cVNkl5S1vQaXT6s4n1B7kv2p+HTpa9gkJ5UQwNYndINe/Oy
 1Sh/Sel7+x4nd2Z2IRetc0NpgLgRrHrngobYDFLqVt4cvPvm0G7K21F36I7Kl5+ZO0orxMP
 JxQLSqhESoi99Uk2ztnayZNZNWp2XbuSlTstnw0t+/PXv4ZOXZIPDkbgYw2Nv996BXyCmP7
 lm23RF6u5/HAiKo2Tae4A==
X-UI-Out-Filterresults: notjunk:1;V03:K0:YmmZxdQxmGc=:htp0wivqghz36N0QUmpW8m
 fi3/3UFwRFssSi3disbB1ZwuCjzosBDph6n/iQY5f/S07rU2mx6OHS4Dg4ivPos3Ib9apfQI/
 sgTvtRYJawjBq3ixDiwoDw0Fh9XS+dJDq1EDXRHpF4lon85cozuh4T//yC20e7BfOSWTJtcs0
 q91hneFQYFuqSWkT8o7mgULybGm7WK7rTqAVvW/7uBkA+6LlQadyFB+0P9/iX2kJGh90iswLI
 GGp9MumdiuNZU/ilYB1AtRMwh5FhsEMBvQr53JpjmJxInk1jinjGdWDkrAy/X6uepwaJMbNar
 N1hecgWPSszzhx3/czETVEM0+ohiyshWJhpnK7J1YgQ6t/fOHkvbNouG94i37/tBXMCsanHBo
 Wl02Az9vtXqguZWvRGkjo9x9lo2/QMreY/O0lrEk/9la1HKFAoD8irxM3rGRGVxGHjKg6zlev
 yEifCsRJu26dCF7Gc0ZfhyomTcZoLauYMjplHXfyoIUxO8NdBOdy1k+uj9PqVd5q5WJztohpL
 h8MmmfrYBNBQcvz2/b0mL0EFLjrsOrL6Xfd7xJt3UpSD9mZ0DtQRraA4jeFZMaSMJar8WH6yy
 NKe/WhIpCS1FO0aWOZc2J0+0gAoTFaw00FeS740ThM8e4+2vACYLzaQ0P1s8YQEI+YE2jv6VV
 EyJu+6uyvr3XJNxH3mLYyke3uYEsIN9KEvnxZqlAG3Xy/znUqyGbvp74Ab741GyWaK8DIzc0Q
 acDQ/YW+gAq4gBHZjpVMXC5xXJ+kJR0+YHq0Cc2SIeb3nCtF9dYecQnuVp5As8XK2Fferj4Ca
 IR1t1pHKXh/rpRXg/nGK2q00T1sihqAEfgKj1BZDxFrgKznE8zeYd9biKWzYcevIBELYHTyDs
 Lc7W3P2ihs2Nij9IP1qODyvEXtP8jpfYl7sHNY2W964NMneACRP+3CT3exQ8zb4CETHiEFUJr
 s5cqzcBAXwOF5vnpIek9vpxouMBZkK4gR3tLkZ0mGsW1MAZ48tvRNxox4pwvzQQgcV7UqZ0a2
 LU62EzLSu1QkFUroa0u/CWwkUtBPUFlD7vUvyMUR6g4DG2jCstoe8RVpZemzzjwz1zvxOHwR5
 0vpBjLiIRZ2w1M=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.15.3
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Some days ago Guix failed to build on openSUSE Tumbleweed.
 Today I started to investigate it. Guix fails to build on Tumbleweed with
 `make -j4` or a greater thread count (see guile_coredump_building_guix.log)
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: opensuse.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [195.135.221.2 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=jonathan.brielmaier%40web.de; ip=209.51.188.17; r=debbugs.gnu.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (jonathan.brielmaier[at]web.de)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Some days ago Guix failed to build on openSUSE Tumbleweed.
    Today I started to investigate it. Guix fails to build on Tumbleweed with
    `make -j4` or a greater thread count (see guile_coredump_building_guix.log)
    
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: opensuse.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [195.135.221.2 listed in zen.spamhaus.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=jonathan.brielmaier%40web.de;ip=209.51.188.17;r=debbugs.gnu.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (jonathan.brielmaier[at]web.de)
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

This is a multi-part message in MIME format.
--------------DD8829ADF8676604C29B9F97
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

Some days ago Guix failed to build on openSUSE Tumbleweed. Today I
started to investigate it.

Guix fails to build on Tumbleweed with `make -j4` or a greater thread
count (see guile_coredump_building_guix.log)

It doesn't fail to build with `make -j3` or less threads and when
building inside of `guix environment --pure guix`.

I then started to look around what could differ between Tumbleweed and
guix environment. My first assumption was kind of hit :)

Tumbleweed is built since some days with libgc 8.0.4 and Guix is still
on 7.6.6. In my home project[0] I have built now Guix (and Guile) with
libgc 7.6.4, the version Tumbleweed used before. Guix builds now with
`make -j4` and greater again on Tumbleweed...

So it seems that guile is not compatible with libgc 8.x yet? Is this
correct?

I wanted to update libgc in guix but it has 5k dependencies, so I did not :P

Any Ideas how to fix this? Do you need any further information from me?

Cheers Jonathan

[0] https://build.opensuse.org/project/show/home:jbrielmaier:guix




--------------DD8829ADF8676604C29B9F97
Content-Type: text/x-log;
 name="guile_coredump_building_guix.log"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="guile_coredump_building_guix.log"

Core was generated by `/usr/bin/guile -L . -L . --no-auto-compile -s ./bui=
ld-aux/compile-all.scm guix/'.
Program terminated with signal SIGABRT, Aborted.
#0  __GI_raise (sig=3Dsig@entry=3D6) at ../sysdeps/unix/sysv/linux/raise.c=
:50
50	  return ret;
[Current thread is 1 (Thread 0x7f3126d79700 (LWP 3968))]
(gdb) bt
#0  __GI_raise (sig=3Dsig@entry=3D6) at ../sysdeps/unix/sysv/linux/raise.c=
:50
#1  0x00007f313e9b5549 in __GI_abort () at abort.c:79
#2  0x00007f313e5e95e1 in GC_unmap (start=3D<optimized out>, bytes=3D<opti=
mized out>) at extra/../os_dep.c:2576
#3  GC_unmap (start=3D<optimized out>, bytes=3D<optimized out>) at extra/.=
./os_dep.c:2535
#4  0x00007f313e5fb3f9 in GC_unmap_old () at extra/../allchblk.c:419
#5  GC_unmap_old () at extra/../allchblk.c:400
#6  GC_finish_collection () at extra/../alloc.c:1115
#7  0x00007f313e5fba05 in GC_try_to_collect_inner (stop_func=3D0x7f313e5f2=
6a0 <GC_never_stop_func>)
    at extra/../alloc.c:553
#8  GC_try_to_collect_inner (stop_func=3Dstop_func@entry=3D0x7f313e5f26a0 =
<GC_never_stop_func>) at extra/../alloc.c:485
#9  0x00007f313e5fe0b6 in GC_grow_table (table=3Dtable@entry=3D0x7f313e64c=
300 <GC_fnlz_roots>,
    log_size_ptr=3Dlog_size_ptr@entry=3D0x7f313e60a888 <log_fo_table_size>=
,
    entries_ptr=3Dentries_ptr@entry=3D0x7f313e64c2f0 <GC_fo_entries>) at e=
xtra/../finalize.c:133
#10 0x00007f313e5fe4ba in GC_register_finalizer_inner (obj=3D0x7f312dba27a=
0, fn=3D0x7f313e8ff380 <finalize_bignum>,
    cd=3D0x0, ofn=3D0x7f3126d785e0, ocd=3D0x7f3126d785d8, mp=3D0x7f313e5f2=
690 <GC_null_finalize_mark_proc>)
    at extra/../finalize.c:703
#11 0x00007f313e5fea9c in GC_register_finalizer_no_order (obj=3D<optimized=
 out>, fn=3D<optimized out>,
    cd=3D<optimized out>, ofn=3D<optimized out>, ocd=3D<optimized out>) at=
 extra/../finalize.c:844
#12 0x00007f313e91a683 in scm_i_set_finalizer (obj=3D<optimized out>, proc=
=3D<optimized out>, data=3D<optimized out>)
    at finalizers.c:53
#13 0x00007f313e8fd30e in make_bignum () at numbers.c:265
#14 scm_i_mkbig () at numbers.c:275
#15 scm_logior (n1=3D<optimized out>, n2=3D0x7f312dba2840) at numbers.c:44=
39
#16 0x00007f313e8ba25f in vm_regular_engine (thread=3D0x2, vp=3D0x7f312b1d=
0e10, registers=3D0x0, resume=3D1050459601)
    at vm-engine.c:2575
#17 0x00007f313e8ab660 in scm_call_n (proc=3D<optimized out>, argv=3D<opti=
mized out>, nargs=3D0) at vm.c:1260
#18 0x00007f313e93874e in scm_call_with_unblocked_asyncs (proc=3D0x7f3135c=
d3f20) at async.c:400
#19 0x00007f313e8b637f in vm_regular_engine (thread=3D0x2, vp=3D0x7f312b1d=
0e10, registers=3D0x0, resume=3D1050459601)
    at vm-engine.c:786
#20 0x00007f313e8ab660 in scm_call_n (proc=3D<optimized out>, argv=3D<opti=
mized out>, nargs=3D0) at vm.c:1260
#21 0x00007f313e8bee56 in really_launch (d=3D0x7f3135cad9c0) at threads.c:=
794
#22 0x00007f313e92c29a in c_body (d=3D0x7f3126d78e40) at continuations.c:4=
22
=2D-Type <RET> for more, q to quit, c to continue without paging--
#23 0x00007f313e8b637f in vm_regular_engine (thread=3D0x2, vp=3D0x7f312b1d=
0e10, registers=3D0x0, resume=3D1050459601)
    at vm-engine.c:786
#24 0x00007f313e8ab660 in scm_call_n (proc=3D<optimized out>, argv=3D<opti=
mized out>, nargs=3D0) at vm.c:1260
#25 0x00007f313e8bbaf3 in catch (tag=3D<optimized out>, thunk=3D0x7f3135cc=
3620, handler=3D0x7f3135cc3600,
    pre_unwind_handler=3D0x7f3135cc3400) at throw.c:137
#26 0x00007f313e931745 in scm_i_with_continuation_barrier (body=3Dbody@ent=
ry=3D0x7f313e92c290 <c_body>,
    body_data=3Dbody_data@entry=3D0x7f3126d78e40, handler=3Dhandler@entry=
=3D0x7f313e931650 <c_handler>,
    handler_data=3Dhandler_data@entry=3D0x7f3126d78e40,
    pre_unwind_handler=3Dpre_unwind_handler@entry=3D0x7f313e931560 <pre_un=
wind_handler>,
    pre_unwind_handler_data=3D0x7f313a50da20) at continuations.c:360
#27 0x00007f313e931a55 in scm_c_with_continuation_barrier (func=3D<optimiz=
ed out>, data=3D<optimized out>)
    at continuations.c:456
#28 0x00007f313e8bf156 in with_guile (base=3D0x7f3126d78ea0, data=3D0x7f31=
26d78ed0) at threads.c:661
#29 0x00007f313e5eedc7 in GC_call_with_stack_base (fn=3Dfn@entry=3D0x7f313=
e8bf080 <with_guile>,
    arg=3Darg@entry=3D0x7f3126d78ed0) at extra/../misc.c:2106
#30 0x00007f313e8bc2dd in scm_i_with_guile (dynamic_state=3D<optimized out=
>, data=3D0x7f3135cad9c0,
    func=3D0x7f313e8bede0 <really_launch>) at threads.c:704
#31 launch_thread (d=3D0x7f3135cad9c0) at threads.c:803
#32 0x00007f313e212faa in start_thread (arg=3D<optimized out>) at pthread_=
create.c:486
#33 0x00007f313ea8d73f in clone () at ../sysdeps/unix/sysv/linux/x86_64/cl=
one.S:95


--------------DD8829ADF8676604C29B9F97--




Acknowledgement sent to Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guile@HIDDEN. Full text available.
Report forwarded to bug-guile@HIDDEN:
bug#36812; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 Feb 2020 14:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.